MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

StringBuffer< CAPACITY > Class Template Reference

`#include <AudioFormat.hxx>`

Inheritance diagram for StringBuffer< CAPACITY >:
[legend]
Collaboration diagram for StringBuffer< CAPACITY >:
[legend]

## Additional Inherited Members
Public Types inherited from BasicStringBuffer< char, CAPACITY >
typedef char | value_type
typedef char & | reference
typedef char * | pointer
typedef const char * | const_pointer
typedef const_pointer | const_iterator
typedef size_t | size_type
Public Member Functions inherited from BasicStringBuffer< char, CAPACITY >
constexpr size_type | capacity () const
constexpr bool | empty () const
void | clear ()
constexpr const_pointer | c_str () const
pointer | data ()
constexpr value_type | front () const
value_type | operator[] (size_type i) const
| Returns one character. More...
reference | operator[] (size_type i)
| Returns one writable character. More...
constexpr const_iterator | begin () const
constexpr const_iterator | end () const
constexpr | operator const_pointer () const
Static Public Attributes inherited from BasicStringBuffer< char, CAPACITY >
static constexpr value_type | SENTINEL
Protected Attributes inherited from BasicStringBuffer< char, CAPACITY >
std::array< value_type, CAPACITY > | the_data

## Detailed Description

### template<size_t CAPACITY>
class StringBuffer< CAPACITY >

Definition at line 30 of file AudioFormat.hxx.

The documentation for this class was generated from the following file:

- AudioFormat.hxx